package com.shopingCardSystem.Controller;
import java.util.List;
import com.shopingCardSystem.Model.Cart;
import org.springframework.web.bind.annotation.*;
import com.shopingCardSystem.Service.CartServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;


@RestController
@RequestMapping("/cartRecords")
public class CartController {

    @Autowired
    private CartServiceImpl cartService;

    @GetMapping("/carts")
    public List<Cart>  getAllCart(){
        return cartService.getAllItems();
    }

    @GetMapping("/{cartId}")
    public Cart getCardById(@PathVariable("cartId") int cartId){
        Cart cart = cartService.getCartgetById(cartId);
        return cart;
    }

    @PostMapping("/cart")
    public Cart addCart(@RequestBody Cart cart){
        cartService.addCart(cart);
        return cart;
    }

    @PutMapping("/{cartId}")
    public Cart updateCardById(@RequestBody Cart cart, @PathVariable("cartId") int cartId){
        cartService.updateCartById(cart, cartId);
        return cart;
    }

    @DeleteMapping("/{cartId}")
    public void deleteCard(@PathVariable("cartId") int cardId){
        cartService.deleteCardById(cardId);
    }

}