package com.shopingCardSystem.Controller;

import java.util.List;
import com.shopingCardSystem.Model.Item;
import com.shopingCardSystem.Service.ItemServiceImpl;
import org.springframework.web.bind.annotation.*;
import org.springframework.beans.factory.annotation.Autowired;


@RestController
@RequestMapping("/itemRecords")
public class ItemController {

    @Autowired
    private ItemServiceImpl itemService;


    @GetMapping("/items")
    public List<Item> getAllItems(){
       return itemService.getAllItems();
    }

        @GetMapping("/{itemId}")
    public Item getItemById(@PathVariable("itemId") int itemId){
        Item item = this.itemService.getItemById(itemId);
        return item;
    }

    @PostMapping("/item")
    public  Item addItem(@RequestBody Item item ){
        this.itemService.addItem(item);
        return  item;
    }

    @PutMapping("{itemId}")
    public  Item updateItemById(@RequestBody Item item , @PathVariable("itemId") int itemId){
        itemService.updateItemById(item, itemId);
        return item;
    }

    @DeleteMapping("{itemId}")
    public void deleteById(@PathVariable("itemId") int itemId){
        this.itemService.deleteItemById(itemId);
    }

}


