package com.shopingCardSystem.Service;

import com.shopingCardSystem.Model.Item;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.shopingCardSystem.Repository.ItemReository;

@Service
public class ItemServiceImpl implements ItemService{

    @Autowired
private ItemReository itemReository;

    @Override
    public List<Item> getAllItems() {
        List<Item> list = (List<Item>) itemReository.findAll();
        return list;
    }

    @Override
    public Item getItemById(int itemId) {
        Item item = null;
        item = itemReository.findById(itemId);
        return item;
    }

//    @Override
    public Item addItem(Item item) {
       itemReository.save(item);
       return item;
    }

    @Override
    public Item updateItemById(Item item, int itemId) {
       item.setItemId(itemId);
       itemReository.save(item);
       return item;
    }

    @Override
    public void deleteItemById(int itemId) {
        itemReository.deleteById(itemId);
    }
}
